cvp.vo

## Class Prescrittore

- java.lang.Object
- - cvp.vo.Prescrittore

-     public class Prescrittore
      extends java.lang.Object

  Contiene i dati anagrafici del medico prescrittore

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codASLAo` Codice ASL del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codASLAo della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codMedicoPrescrittore` Codice del medico che prescrive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cfMedico1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codMedicoSostituito` Codice del medico di base sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cfMedico2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codSpecializzazione` Specializzazione del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codSpecializzazione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `cognomeMedicoPrescrittore` Cognome del medico prescrittore, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `cognomeMedicoSostituito` Cognome del medico sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `flagRegimeSostituzione` Indica se il medico ha prescritto in sostituzione di un medico di base, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `nomeMedicoPrescrittore` Nome del medico prescrittore, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `nomeMedicoSostituito` Nome del medico sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prescrittore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodASLAo()`
    `java.lang.String` | `getCodMedicoPrescrittore()`
    `java.lang.String` | `getCodMedicoSostituito()`
    `java.lang.String` | `getCodSpecializzazione()`
    `java.lang.String` | `getCognomeMedicoPrescrittore()`
    `java.lang.String` | `getCognomeMedicoSostituito()`
    `java.lang.String` | `getFlagRegimeSostituzione()`
    `java.lang.String` | `getNomeMedicoPrescrittore()`
    `java.lang.String` | `getNomeMedicoSostituito()`
    `void` | `setCodASLAo(java.lang.String codASLAo)`
    `void` | `setCodMedicoPrescrittore(java.lang.String codMedicoPrescrittore)`
    `void` | `setCodMedicoSostituito(java.lang.String codMedicoSostituito)`
    `void` | `setCodSpecializzazione(java.lang.String codSpecializzazione)`
    `void` | `setCognomeMedicoPrescrittore(java.lang.String cognomeMedicoPrescrittore)`
    `void` | `setCognomeMedicoSostituito(java.lang.String cognomeMedicoSostituito)`
    `void` | `setFlagRegimeSostituzione(java.lang.String flagRegimeSostituzione)`
    `void` | `setNomeMedicoPrescrittore(java.lang.String nomeMedicoPrescrittore)`
    `void` | `setNomeMedicoSostituito(java.lang.String nomeMedicoSostituito)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cognomeMedicoPrescrittore

          private java.lang.String cognomeMedicoPrescrittore

      Cognome del medico prescrittore, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### nomeMedicoPrescrittore

          private java.lang.String nomeMedicoPrescrittore

      Nome del medico prescrittore, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### flagRegimeSostituzione

          private java.lang.String flagRegimeSostituzione

      Indica se il medico ha prescritto in sostituzione di un medico di base, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato. Può assumere i seguenti valori: 1=Prescrizione emessa in sostituzione di un medico di base 0=Il Prescrittore non sta sostituendo alcun medico

    - #### codMedicoSostituito

          private java.lang.String codMedicoSostituito

      Codice del medico di base sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cfMedico2 della risposta del servizio SAC visualizzaErogato

    - #### cognomeMedicoSostituito

          private java.lang.String cognomeMedicoSostituito

      Cognome del medico sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### nomeMedicoSostituito

          private java.lang.String nomeMedicoSostituito

      Nome del medico sostituito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codMedicoPrescrittore

          private java.lang.String codMedicoPrescrittore

      Codice del medico che prescrive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cfMedico1 della risposta del servizio SAC visualizzaErogato

    - #### codASLAo

          private java.lang.String codASLAo

      Codice ASL del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codASLAo della risposta del servizio SAC visualizzaErogato

    - #### codSpecializzazione

          private java.lang.String codSpecializzazione

      Specializzazione del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codSpecializzazione della risposta del servizio SAC visualizzaErogato

  - ### Constructor Detail

    - #### Prescrittore

          public Prescrittore()

  - ### Method Detail

    - #### getCognomeMedicoPrescrittore

          public java.lang.String getCognomeMedicoPrescrittore()

    - #### setCognomeMedicoPrescrittore

          public void setCognomeMedicoPrescrittore(java.lang.String cognomeMedicoPrescrittore)

    - #### getNomeMedicoPrescrittore

          public java.lang.String getNomeMedicoPrescrittore()

    - #### setNomeMedicoPrescrittore

          public void setNomeMedicoPrescrittore(java.lang.String nomeMedicoPrescrittore)

    - #### getFlagRegimeSostituzione

          public java.lang.String getFlagRegimeSostituzione()

    - #### setFlagRegimeSostituzione

          public void setFlagRegimeSostituzione(java.lang.String flagRegimeSostituzione)

    - #### getCodMedicoSostituito

          public java.lang.String getCodMedicoSostituito()

    - #### setCodMedicoSostituito

          public void setCodMedicoSostituito(java.lang.String codMedicoSostituito)

    - #### getCognomeMedicoSostituito

          public java.lang.String getCognomeMedicoSostituito()

    - #### setCognomeMedicoSostituito

          public void setCognomeMedicoSostituito(java.lang.String cognomeMedicoSostituito)

    - #### getNomeMedicoSostituito

          public java.lang.String getNomeMedicoSostituito()

    - #### setNomeMedicoSostituito

          public void setNomeMedicoSostituito(java.lang.String nomeMedicoSostituito)

    - #### getCodMedicoPrescrittore

          public java.lang.String getCodMedicoPrescrittore()

    - #### setCodMedicoPrescrittore

          public void setCodMedicoPrescrittore(java.lang.String codMedicoPrescrittore)

    - #### getCodASLAo

          public java.lang.String getCodASLAo()

    - #### setCodASLAo

          public void setCodASLAo(java.lang.String codASLAo)

    - #### getCodSpecializzazione

          public java.lang.String getCodSpecializzazione()

    - #### setCodSpecializzazione

          public void setCodSpecializzazione(java.lang.String codSpecializzazione)